package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Cotacao;

public class RenderCotacao implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Cotacao cotacao = (Cotacao) o;

		Listcell lc = new Listcell();

		lc = new Listcell(cotacao.getCotacaoId().toString());
		lc.setParent(lstm);


		lc = new Listcell(cotacao.getMoneda().getDescmoneda());
		lc.setParent(lstm);


		lc = new Listcell(cotacao.getValor().toString());
		lc.setParent(lstm);
		
		
		lc = new Listcell(cotacao.getActivo() == true ? "Sim" : "Não");
		lc.setParent(lstm);
		
		lstm.setAttribute("data", cotacao);
	}
}
